use 教学成绩管理数据库
go
--1.创建规则：r_分散，限制输入数据为0~100之间的值
create rule r_分数 as 
@分数>=0. and @分数<= 100.
go

--2. 绑定
exec sp_bindrule 'r_分数', '教学成绩表.分数'

--3. 验证, 一条一条执行
select * from 教学成绩表
insert into 教学成绩表(学号, 教师编号, 课程编号, 学期, 分数)
    values('000002', '2001', '900011', '04-05第1学期', 110)
insert into 教学成绩表(学号, 教师编号, 课程编号, 学期, 分数)
    values('000003', '2001', '900011', '04-05第1学期', 99)
insert into 教学成绩表(学号, 教师编号, 课程编号, 学期, 分数)
    values('000004', '2001', '900011', '04-05第1学期', -1)
select * from 教学成绩表

--4.为[教学成绩表]的[分数]列解除规则绑定
exec sp_unbindrule '教学成绩表.分数'

--5. 删除
drop rule r_分数



